{
  site.hosts = {
    switch-a1 = {
      interfaces = { mgmt.type = "phys"; };
      links = {
        iso4 = {
          ports = [ "1" ];
        };
        priv25 = {
          ports = [ "2" "3" "4" "5" ];
        };
        priv31 = {
          ports = [ "6" ];
        };
        pub = {
          ports = [ "8" ];
        };
        switch-c1 = {
          ports = [ "7" ];
        };
      };
      location = "Saal A";
      model = "TL-SG3210";
      role = "switch";
    };
    switch-b1 = {
      interfaces = { mgmt.type = "phys"; };
      links = {
        ap23 = {
          ports = [ "g10" ];
        };
        ap8 = {
          ports = [ "g16" ];
        };
        c3d2 = {
          ports = [ "g23" ];
        };
        iso1 = {
          ports = [ "g2" ];
        };
        iso2 = {
          ports = [ "g3" ];
        };
        iso3 = {
          ports = [ "g4" ];
        };
        mgmt = {
          ports = [ "g1" ];
        };
        serv = {
          ports = [ "g22" ];
        };
        server1 = {
          ports = [ "g24" ];
        };
        server2 = {
          group = "1";
          ports = [ "g12" "g38" "g39" "g40" ];
        };
        server5 = {
          group = "6";
          ports = [ "g17" "g18" "g19" "g20" ];
        };
        server6 = {
          group = "8";
          ports = [ "g5" "g6" "g7" "g8" ];
        };
        server7 = {
          group = "7";
          ports = [ "g9" "g11" "g14" "g15" ];
        };
        server8 = {
          group = "5";
          ports = [ "g35" "g36" "g37" "g13" ];
        };
        switch-b2 = {
          group = "3";
          ports = [ "g25" "g26" "g27" "g28" ];
        };
        switch-c1 = {
          group = "2";
          ports = [ "g29" "g30" "g31" "g32" ];
        };
        switch-c3d2-main = {
          group = "4";
          ports = [ "g41" "g42" "g43" "g44" ];
        };
        switch-d1 = {
          ports = [ "g34" ];
        };
      };
      location = "Haus B Souterrain";
      model = "linksys-srw2048";
      role = "switch";
    };
    switch-b2 = {
      interfaces = { mgmt.type = "phys"; };
      links = {
        ap1 = {
          ports = [ "GigabitEthernet 1/0/8" ];
        };
        ap11 = {
          ports = [ "GigabitEthernet 1/0/10" ];
        };
        ap15 = {
          ports = [ "GigabitEthernet 1/0/12" ];
        };
        ap18 = {
          ports = [ "GigabitEthernet 1/0/18" ];
        };
        ap24 = {
          ports = [ "GigabitEthernet 1/0/34" ];
        };
        ap25 = {
          ports = [ "GigabitEthernet 1/0/35" ];
        };
        ap29 = {
          ports = [ "GigabitEthernet 1/0/36" ];
        };
        ap30 = {
          ports = [ "GigabitEthernet 1/0/22" ];
        };
        ap35 = {
          ports = [ "GigabitEthernet 1/0/23" ];
        };
        ap37 = {
          ports = [ "GigabitEthernet 1/0/39" ];
        };
        ap39 = {
          ports = [ "GigabitEthernet 1/0/17" ];
        };
        ap40 = {
          ports = [ "GigabitEthernet 1/0/21" ];
        };
        ap41 = {
          ports = [ "GigabitEthernet 1/0/37" ];
        };
        ap42 = {
          ports = [ "GigabitEthernet 1/0/6" ];
        };
        ap5 = {
          ports = [ "GigabitEthernet 1/0/7" ];
        };
        ap51 = {
          ports = [ "GigabitEthernet 1/0/13" ];
        };
        ap53 = {
          ports = [ "GigabitEthernet 1/0/15" ];
        };
        ap54 = {
          ports = [ "GigabitEthernet 1/0/38" ];
        };
        ap55 = {
          ports = [ "GigabitEthernet 1/0/19" ];
        };
        ap56 = {
          ports = [ "GigabitEthernet 1/0/9" ];
        };
        mgmt = {
          ports = [
            "GigabitEthernet1/0/1"
            "GigabitEthernet1/0/41"
            "GigabitEthernet1/0/42"
            "GigabitEthernet1/0/43"
            "GigabitEthernet1/0/44"
            "GigabitEthernet1/0/45"
            "GigabitEthernet1/0/46"
            "GigabitEthernet1/0/47"
            "GigabitEthernet1/0/48"
          ];
        };
        priv1 = {
          ports = [ "GigabitEthernet 1/0/3" ];
        };
        priv19 = {
          ports = [ "GigabitEthernet 1/0/40" ];
        };
        priv2 = {
          ports = [ "GigabitEthernet 1/0/4" ];
        };
        priv24 = {
          ports = [ "GigabitEthernet 1/0/14" "GigabitEthernet 1/0/16" ];
        };
        priv3 = {
          ports = [ "GigabitEthernet 1/0/5" ];
        };
        pub = {
          ports = [
            "GigabitEthernet 1/0/11"
            "GigabitEthernet 1/0/20"
            "GigabitEthernet 1/0/24"
          ];
        };
        server3 = {
          group = "1";
          ports = [ "GigabitEthernet1/0/30" "GigabitEthernet1/0/31" ];
        };
        server9 = {
          group = "3";
          ports = [
            "GigabitEthernet1/0/2"
            "GigabitEthernet1/0/29"
            "GigabitEthernet1/0/32"
          ];
        };
        switch-b1 = {
          group = "2";
          ports = [
            "TenGigabitEthernet 1/1/1"
            "GigabitEthernet 1/0/25"
            "GigabitEthernet 1/0/26"
            "GigabitEthernet 1/0/27"
            "GigabitEthernet 1/0/28"
          ];
        };
      };
      location = "Haus B Souterrain";
      model = "3com-4200G";
      role = "switch";
    };
    switch-c1 = {
      interfaces = { mgmt.type = "phys"; };
      links = {
        ap17 = {
          ports = [ "19" ];
        };
        ap19 = {
          ports = [ "17" ];
        };
        ap26 = {
          ports = [ "18" ];
        };
        ap38 = {
          ports = [ "7" ];
        };
        iso1 = {
          ports = [ "9" ];
        };
        iso2 = {
          ports = [ "10" ];
        };
        iso3 = {
          ports = [ "11" ];
        };
        iso4 = {
          ports = [ "12" ];
        };
        iso5 = {
          ports = [ "13" ];
        };
        iso6 = {
          ports = [ "14" ];
        };
        switch-a1 = {
          group = "1";
          ports = [ "15-16" ];
        };
        switch-b1 = {
          group = "2";
          ports = [ "21-24" ];
        };
        switch-dach = {
          ports = [ "6" ];
        };
        up1 = {
          ports = [ "1" ];
        };
        up2 = {
          ports = [ "2" ];
        };
        up4 = {
          ports = [ "4" ];
        };
      };
      location = "Turm C Keller, bei Kabelanschluessen";
      model = "HP-procurve-2824";
      role = "switch";
    };
    switch-c3d2-main = {
      interfaces = { mgmt.type = "phys"; };
      links = {
        ap-test1 = {
          ports = [ "4" ];
        };
        ap-test2 = {
          ports = [ "5" ];
        };
        ap2 = {
          ports = [ "3" ];
        };
        ap31 = {
          ports = [ "2" ];
        };
        bmx = {
          ports = [ "7" ];
        };
        c3d2 = {
          ports = [ "8-20" ];
        };
        iso4 = {
          ports = [ "6" ];
        };
        mgmt = {
          ports = [ "1" ];
        };
        switch-b1 = {
          group = "1";
          ports = [ "21-24" ];
        };
      };
      location = "C3D2";
      model = "HP-procurve-2824";
      role = "switch";
    };
    switch-d1 = {
      interfaces = { mgmt.type = "phys"; };
      links = {
        ap10 = {
          ports = [ "4" ];
        };
        ap12 = {
          ports = [ "7" ];
        };
        ap22 = {
          ports = [ "2" ];
        };
        ap3 = {
          ports = [ "3" ];
        };
        ap7 = {
          ports = [ "8" ];
        };
        ap9 = {
          ports = [ "5" ];
        };
        switch-b1 = {
          group = "1";
          ports = [ "1" ];
        };
      };
      location = "Turm D Elektroraum";
      model = "TL-SG3210";
      role = "switch";
    };
    switch-dach = {
      interfaces = { mgmt.type = "phys"; };
      links = {
        bmx = {
          ports = [ "10-19" ];
        };
        mgmt = {
          ports = [ "1" ];
        };
        serv = {
          ports = [ "6-9" ];
        };
        switch-c1 = {
          ports = [ "24" ];
        };
        up3 = {
          ports = [ "3" ];
        };
      };
      location = "Dach";
      model = "HP-procurve-2824";
      role = "switch";
    };
  };
}

